package com.sztzjy.digital_credit.controller;

import com.sztzjy.digital_credit.annotation.AnonymousAccess;
import com.sztzjy.digital_credit.entity.StuScoreCenter;
import com.sztzjy.digital_credit.entity.StuScoreCenterExample;
import com.sztzjy.digital_credit.service.StuScoreCenterService;
import com.sztzjy.digital_credit.util.ResultEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @author tz
 * @date 2024/4/23 9:26
 */
@Api(tags = "成绩中心")
@RestController
@RequestMapping("api/stu/scoreCenter")
public class StuScoreCenterController {

    @Resource
    StuScoreCenterService stuScoreCenterService;

    @ApiOperation("成绩展示")
    @PostMapping("/getScore")
    @AnonymousAccess
    public ResultEntity getScore(@ApiParam("用户ID") @RequestParam String userId,
                                 @ApiParam("条件") @RequestParam(required = false) String module){
        List<StuScoreCenter> list=stuScoreCenterService.getScore(userId,module);
        return new ResultEntity(HttpStatus.OK,"成功",list);
    }


    @ApiOperation("实训时长统计")
    @PostMapping("/trainingDurationStatistics")
    @AnonymousAccess
    public ResultEntity trainingDurationStatistics(@ApiParam("用户ID") @RequestParam String userId,
                                                   @ApiParam("模块") @RequestParam String module,
                                                   @ApiParam("观看时间(大于等于一分钟)") @RequestParam Integer viewingTime,
                                                   @ApiParam("所属大模块") @RequestParam String ascription){
        stuScoreCenterService.trainingDurationStatistics(userId,module,viewingTime,ascription);
        return new ResultEntity(HttpStatus.OK,"成功");
    }
}
